/* [[file:../org/3d_printed_volcano_funnel.org::+begin_src scad :tangle ~/Code/volcano-funnel.scad][No heading:1]] */
bowl = 30;
bowl_r = 65/2;
stem = 10;
stem_r = 35/2;
neck_r = 38/2;
thickness = 2;

curve_r = 10;

$fa = 5;
$fs = 0.1;
eps = 0.01;

module profile() {
        hull() {
                translate([stem_r, 0])
                        square([thickness, eps]);

                translate([neck_r + curve_r, stem])
                        circle(r = curve_r);
               
                translate([bowl_r, stem + bowl - eps])
                        square([thickness, eps]);
        }
}

rotate_extrude()
        difference() {
                profile();
                translate([thickness, 0])
                        profile();
        }
/* No heading:1 ends here */
